## org.eclipse.datatools.connectivity.oda.design
Interface StaticValues

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface StaticValues

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Static Values'. A collection of static values in any data type.

The following features are supported:

- `Values`

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getStaticValues()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`void` `add(java.lang.Object aValue)` Appends the specified value to this ordered collection of static values.
`void` `clear()` Removes all of the static values from this collection.
`int` `count()` Gets the number of static values in this collection.
`org.eclipse.emf.common.util.EList<java.lang.Object>` `getValues()` Returns the value of the 'Values' attribute list.
`boolean` `isEmpty()` Indicates whether this collection of static values is empty.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getValues

    org.eclipse.emf.common.util.EList<java.lang.Object> getValues()

  Returns the value of the 'Values' attribute list. The list contents are of type `Object`.

  If the meaning of the 'Values' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Values' attribute list.
  See Also:
    `DesignPackage.getStaticValues_Values()`

### isEmpty

    boolean isEmpty()

  Indicates whether this collection of static values is empty.

  Returns:
    true if this has an empty collection of static values; false otherwise

### count

    int count()

  Gets the number of static values in this collection.

  Returns:
    number of static values

### add

    void add(java.lang.Object aValue)

  Appends the specified value to this ordered collection of static values. It is the responsibility of the caller to ensure compatible type of value object is added to the collection.

  Parameters:
    `aValue` - a value to add; may be null

### clear

    void clear()

  Removes all of the static values from this collection. This will be empty after this call returns.